Topic
  • 4 replies
  • Latest Post - ‏2013-01-15T20:44:03Z by SystemAdmin
SystemAdmin
SystemAdmin
2327 Posts

Pinned topic XCode error after upgrading WL502 project to WL505

‏2013-01-10T14:58:47Z |
I took a working WL502 project and imported into a new WL505 workspace. When trying to exporting to XCode and attempting to execute the sample I am getting the following error: "CDVPlugin.h not found"

Here is the code segment that is identified:

#ifdef CORDOVA_FRAMEWORK
#import <CORDOVA/CDVPlugin.h>
#else
#import "CDVPlugin.h"
#endif

Were there any changes with the file structure in 505 that would cause this error? I didn't make any changes to the code itself.
  • rtimothy
    rtimothy
    22 Posts

    Re: XCode error after upgrading WL502 project to WL505

    ‏2013-01-10T15:06:44Z  
    The version of Cordova shipped with Worklight was updated in version 505 as well as how Cordova apps are packaged. Can you attach the project so I can take a look?
    --tim
  • SystemAdmin
    SystemAdmin
    2327 Posts

    Re: XCode error after upgrading WL502 project to WL505

    ‏2013-01-10T15:41:22Z  
    • rtimothy
    • ‏2013-01-10T15:06:44Z
    The version of Cordova shipped with Worklight was updated in version 505 as well as how Cordova apps are packaged. Can you attach the project so I can take a look?
    --tim
    It is a very large POC project so I can't share in the forum, but I can send it to you via Cattail (IBM Internal) if you give me your e-mail address.
  • rtimothy
    rtimothy
    22 Posts

    Re: XCode error after upgrading WL502 project to WL505

    ‏2013-01-14T18:24:15Z  
    It is a very large POC project so I can't share in the forum, but I can send it to you via Cattail (IBM Internal) if you give me your e-mail address.
    I sent you an email, go ahead and throw it on cattail and add me.
    --tim
  • SystemAdmin
    SystemAdmin
    2327 Posts

    Re: XCode error after upgrading WL502 project to WL505

    ‏2013-01-15T20:44:03Z  
    Possibly related, I'm getting this in the console after my WL upgrade and the application simply hangs: ERROR: Plugin 'Device' not found, or is not a CDVPlugin. Check your plugin mapping in Cordova.plist.